#include <bits/stdc++.h>
#include <math.h>
using namespace std;

int main()
{
    float p,q,r,L,R;
    long long int br=0;
    cin >> p >> q >> r >> L >> R;
    for (long double n=L;n<=R;n++)
    {
        if ((ceil(n/p)+ceil(n/q)+ceil(n/r))<=n)
        {
            br++;
        }
    }
    cout << br << endl;
    return 0;
}